// stylelint-disable selector-max-type
.markdown-body {
  // Inline code snippets
  code,
  tt {
    // stylelint-disable-next-line primer/spacing
    padding: 0.1em 0.2em;
    margin: 0;
    // stylelint-disable-next-line primer/typography
    font-size: 100%;
    // stylelint-disable-next-line primer/colors
    background-color: rgba($black, 0.05);
    border-radius: $border-radius;

    br { display: none; }
  }

  del code { text-decoration: inherit; }

  pre {
    word-wrap: normal;

    // Code tags within code blocks (<pre>s)
    > code {
      padding: 0;
      margin: 0;
      // stylelint-disable-next-line primer/typography
      font-size: 100%;
      word-break: normal;
      white-space: pre;
      background: transparent;
      border: 0;
    }
  }

  .highlight {
    margin-bottom: $spacer-3;

    pre {
      margin-bottom: 0;
      word-break: normal;
    }
  }

  .highlight pre,
  pre {
    padding: $spacer-2;
    overflow: auto;
    // stylelint-disable-next-line primer/typography
    font-size: 85%;
    // stylelint-disable-next-line primer/typography
    line-height: 1.1;
    background-color: $bg-gray;
    border-radius: $border-radius;
  }

  .highlight td pre {
    padding: $spacer-1;
  }

  pre code,
  pre tt {
    display: inline;
    max-width: auto;
    padding: 0;
    margin: 0;
    overflow: visible;
    line-height: inherit;
    word-wrap: normal;
    background-color: transparent;
    border: 0;
  }
}
